import { createCategory as publicCreateCategory, getCategory as publicGetCategory, updateCategory as publicUpdateCategory, deleteCategory as publicDeleteCategory, queryCategories as publicQueryCategories, countCategories as publicCountCategories, moveCategory as publicMoveCategory } from './bookings-categories-v2-category-service-categories.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onCategoryCreated as publicOnCategoryCreated } from './bookings-categories-v2-category-service-categories.public.js';
import { onCategoryDeleted as publicOnCategoryDeleted } from './bookings-categories-v2-category-service-categories.public.js';
import { onCategoryUpdated as publicOnCategoryUpdated } from './bookings-categories-v2-category-service-categories.public.js';
export declare const createCategory: MaybeContext<BuildRESTFunction<typeof publicCreateCategory> & typeof publicCreateCategory>;
export declare const getCategory: MaybeContext<BuildRESTFunction<typeof publicGetCategory> & typeof publicGetCategory>;
export declare const updateCategory: MaybeContext<BuildRESTFunction<typeof publicUpdateCategory> & typeof publicUpdateCategory>;
export declare const deleteCategory: MaybeContext<BuildRESTFunction<typeof publicDeleteCategory> & typeof publicDeleteCategory>;
export declare const queryCategories: MaybeContext<BuildRESTFunction<typeof publicQueryCategories> & typeof publicQueryCategories>;
export declare const countCategories: MaybeContext<BuildRESTFunction<typeof publicCountCategories> & typeof publicCountCategories>;
export declare const moveCategory: MaybeContext<BuildRESTFunction<typeof publicMoveCategory> & typeof publicMoveCategory>;
/** */
export declare const onCategoryCreated: ReturnType<typeof createEventModule<typeof publicOnCategoryCreated>>;
/** */
export declare const onCategoryDeleted: ReturnType<typeof createEventModule<typeof publicOnCategoryDeleted>>;
/** */
export declare const onCategoryUpdated: ReturnType<typeof createEventModule<typeof publicOnCategoryUpdated>>;
export { SortOrder, Position, WebhookIdentityType, } from './bookings-categories-v2-category-service-categories.universal.js';
export { Category, ExtendedFields, CreateCategoryRequest, CreateCategoryResponse, GetCategoryRequest, GetCategoryResponse, UpdateCategoryRequest, UpdateCategoryResponse, DeleteCategoryRequest, DeleteCategoryResponse, QueryCategoriesRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QueryCategoriesResponse, CursorPagingMetadata, Cursors, CountCategoriesRequest, CountCategoriesResponse, MoveCategoryRequest, MoveCategoryResponse, ImportCategoriesRequest, ImportCategoriesResponse, PublishCategoriesUpdatedRequest, PublishCategoriesUpdatedResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, CategoryCreatedEnvelope, CategoryDeletedEnvelope, CategoryUpdatedEnvelope, UpdateCategory, CategoriesQueryResult, CategoriesQueryBuilder, CountCategoriesOptions, MoveCategoryOptions, } from './bookings-categories-v2-category-service-categories.universal.js';
